## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ConstructWithNoMemoryManager Struct Template Reference

`#include <XalanMemoryManagement.hpp>`

List of all members.

## Public Types

- typedef ConstructValueWithNoMemoryManager<
  C> ConstructableType

## Static Public Methods

- C* construct (C *address, MemoryManager &)
- C* construct (C *address, const C &theRhs, MemoryManager &)

### template<class C> struct ConstructWithNoMemoryManager

## Member Typedef Documentation

template<class C>
typedef ConstructValueWithNoMemoryManager< C > ConstructWithNoMemoryManager<C>::ConstructableType<C>

## Member Function Documentation

template<class C>
C * ConstructWithNoMemoryManager<C>::construct ( | C * address,
| const C & theRhs,
| MemoryManager & )`[static]`

template<class C>
C * ConstructWithNoMemoryManager<C>::construct ( | C * address,
| MemoryManager & )`[static]`

The documentation for this struct was generated from the following file:

- XalanMemoryManagement.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.